function kin = trplRetSweep(t,h_kin,T_RR)

	% Parameterise h_kin to pass addition arguments
	%
	% Example Usage: 
	%
	% t=linspace(0,2000,100);
	% tau=[100,3000];
	% h_pl=@(t,tau) exp(-t/tau(2))-exp(-t/tau(1));
	% kin=trplRetSweep(t,@(t) h_pl(t,tau),(1/80)*1E6);

	t_w=t(end)-t(1);
	t_s=T_RR/2;

	kin=h_kin(t)+h_kin(t_w+t_s-t);

end